ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package util
  Definition Classes
    adam
- ADAMShell
- AttributeUtils
- FileExtensions
- GenomeFileReader
- IndexedFastaFile
- ParquetFileTraversable
- ParquetLogger
- PhredUtils
- ReferenceFile
- ReferenceMap
- ReferenceMapSerializer
- SequenceDictionaryReader
- TextRddWriter
- TwoBitFile
- TwoBitFileSerializer

o

org.bdgenomics.adam.util

# TextRddWriter 

###

#### object TextRddWriter

Writes an RDD to disk as text and optionally merges.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TextRddWriter
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
9.  def hashCode(): Int
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
15.  def toString(): String
    Definition Classes
      AnyRef → Any
16.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
17.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

    Writes an RDD to disk as text and optionally merges.

    Writes an RDD to disk as text and optionally merges.

    rdd

      RDD to save.

    outputPath

      Output path to save text files to.

    asSingleFile

      If true, combines all partition shards.

    disableFastConcat

      If asSingleFile is true, disables the use of the parallel file merging engine.

    optHeaderPath

      If provided, the header file to include.

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped